Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataReader Class Reference

`#include <vtkPolyDataReader.h>`

Inheritance diagram for vtkPolyDataReader:

[legend]
Collaboration diagram for vtkPolyDataReader:

[legend]
List of all members.

## Detailed Description

read vtk polygonal data file

Date:
  2002/05/31 23:12:41

Revision:
  1.30

vtkPolyDataReader is a source object that reads ASCII or binary polygonal data files in vtk format (see text for format details). The output of this reader is a single vtkPolyData data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkPolyData vtkDataReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (75%)
  - Lorensen, Bill (5%)
  - Kelly, Ann (5%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkPolyDataReader.cxx)`
  - .`h` (`/IO/vtkPolyDataReader.h)`

Examples:
  vtkPolyDataReader (Examples)

Tests:
  vtkPolyDataReader (Tests)

Definition at line 59 of file vtkPolyDataReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPolyData * | GetOutput ()
vtkPolyData * | GetOutput (int idx)
void | SetOutput (vtkPolyData *output)
## Static Public Methods
vtkPolyDataReader * | New ()
int | IsTypeOf (const char *type)
vtkPolyDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataReader ()
| ~vtkPolyDataReader ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | ExecutePiece
int | ExecuteNumberOfPieces
int | ExecuteGhostLevel

## Member Typedef Documentation

typedef vtkDataReader vtkPolyDataReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 63 of file vtkPolyDataReader.h.

## Constructor & Destructor Documentation

vtkPolyDataReader::vtkPolyDataReader | ( |  | ) | `[protected]`

vtkPolyDataReader::~vtkPolyDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPolyDataReader* vtkPolyDataReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkPolyDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkPolyDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkPolyDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkPolyDataReader* vtkPolyDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkPolyDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

vtkPolyData* vtkPolyDataReader::GetOutput | ( |  | ) |

| Get the output of this reader.

vtkPolyData* vtkPolyDataReader::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output of this reader. Reimplemented from vtkSource. Definition at line 69 of file vtkPolyDataReader.h. References vtkSource::GetOutput().

void vtkPolyDataReader::SetOutput | ( | vtkPolyData * | output | ) |

| Get the output of this reader.

void vtkPolyDataReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPolyDataReader::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

## Member Data Documentation

int vtkPolyDataReader::ExecutePiece`[protected]`

| Definition at line 87 of file vtkPolyDataReader.h.

int vtkPolyDataReader::ExecuteNumberOfPieces`[protected]`

| Definition at line 88 of file vtkPolyDataReader.h.

int vtkPolyDataReader::ExecuteGhostLevel`[protected]`

| Definition at line 89 of file vtkPolyDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkPolyDataReader.h